For the complete documentation index, see llms.txt. This page is also available as Markdown.

Update a specific SIM attribute

Updates the value of a SIM attribute. The attribute name cannot be changed. To rename an attribute, delete it and create a new one.

patch
Authorizations
AuthorizationstringRequired

An OAuth 2.0 client credentials access token, sent as Authorization: Bearer <token>.

Request the token from https://eseye-idp-prod.auth.eu-west-1.amazoncognito.com/oauth2/token using the client ID and client secret Eseye supplied. Tokens expire after one hour.

Path parameters
iccIdstringRequired

The ICC ID of the SIM.

Example: 8944500000000000123
iccAttributeIdintegerRequired

The unique identifier for the SIM attribute.

Example: 214133
Body
valuestringOptional

The new value of the attribute.

Example: 123
statusstring · enumOptional

Whether the record is still attached to its parent object.

ValueMeaning
activeThe record is attached to the parent object.
deletedThe record is no longer attached to the parent object.
Example: activePossible values:
Responses
200

The updated SIM attribute.

application/json

A name/value pair attached to a SIM.

iccAttributeIdintegerOptional

The unique identifier for the attribute.

Example: 27076369
iccIdstring · max: 20Optional

The SIM the attribute belongs to.

Example: 8944500000000000123
attributestring · max: 48Optional

The attribute name. Names cannot contain spaces.

Example: friendlyName
valuestring · max: 255Optional

The attribute value. Can be an empty string, but not null.

Example: 50kW rapid EV charger
statusstring · enumOptional

Whether the record is still attached to its parent object.

ValueMeaning
activeThe record is attached to the parent object.
deletedThe record is no longer attached to the parent object.
Example: activePossible values:
patch/api/v2/sim/{iccId}/attribute/{iccAttributeId}
PATCH /api/v2/sim/{iccId}/attribute/{iccAttributeId} HTTP/1.1
Host: sim.api.anynetiot.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 15

{
  "value": "123"
}
{
  "iccAttributeId": 27076369,
  "iccId": "8944500000000000123",
  "attribute": "siteRef",
  "value": "123",
  "status": "active"
}

Last updated

Was this helpful?